Bug 107356 - Kernel compilation instructions in the wrong order
Summary: Kernel compilation instructions in the wrong order
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhl-cg (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: John Ha
QA Contact: John Ha
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-17 11:21 UTC by David Tonhofer
Modified: 2014-08-04 22:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-20 18:05:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Tonhofer 2003-10-17 11:21:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.2)
Gecko/20030208 Netscape/7.02

Description of problem:
The instructions for building a custom Kernel seem to be 
a bit wrong (this also applies to the printed documentation,
obviously):

Customization guide RH9.0, Appendix A, Section 2, point 5 and 6
are more or less inverted.

http://www.redhat.com/docs/manuals/linux/RHL-9-Manual/custom-guide/s1-custom-kernel-modularized.html

The 'make clean' should be run before 'make dep', *not after*
'make dep' because otherwise there will be unrecoverable errors
during compilation, e.g. the .h file for the names of devices will no
longer exist after a 'make clean'.

Comment 1 Tammy Fox 2004-02-27 06:26:43 UTC
This seems inconsistent with the docs that come with the kernel.

Reassigning to new owner to confirm.

Comment 2 John Ha 2005-06-20 18:05:49 UTC
Thank you for your report. 

Unfortunately, the Red Hat Linux 9 documentation has reached end-of-life and
will no longer be updated.

Additionally, instructions on building custom kernels have been removed from Red
Hat Enterprise Linux documentation to remain consistent with our Global Support
Services policies regarding kernel support. We apologize for the inconvenience.

Thanks again for the report!


Note You need to log in before you can comment on or make changes to this bug.